Login | Register For Free | Help
Search for: (Advanced)

Mailing List Archive: Interchange: users

perl-5.12.2 -> 5.12.3 = deprecated warning

 

 

Interchange users RSS feed   Index | Next | Previous | View Threaded


emailgrant at gmail

Jun 2, 2011, 11:54 AM

Post #1 of 3 (363 views)
Permalink
perl-5.12.2 -> 5.12.3 = deprecated warning

I just upgraded from perl-5.12.2 to 5.12.3 and I now get an email like
this every time an IC job is dispatched, although the job executes
fine:

defined(%hash) is deprecated at
/usr/lib64/perl5/vendor_perl/5.12.3/x86_64-linux/Safe/Hole.pm line
106.
(Maybe you should just omit the defined()?)

Is this an IC issue or one with Safe::Hole?

- Grant

_______________________________________________
interchange-users mailing list
interchange-users [at] icdevgroup
http://www.icdevgroup.org/mailman/listinfo/interchange-users


racke at linuxia

Jun 2, 2011, 11:33 PM

Post #2 of 3 (349 views)
Permalink
Re: perl-5.12.2 -> 5.12.3 = deprecated warning [In reply to]

On 06/02/2011 08:54 PM, Grant wrote:
> I just upgraded from perl-5.12.2 to 5.12.3 and I now get an email like
> this every time an IC job is dispatched, although the job executes
> fine:
>
> defined(%hash) is deprecated at
> /usr/lib64/perl5/vendor_perl/5.12.3/x86_64-linux/Safe/Hole.pm line
> 106.
> (Maybe you should just omit the defined()?)
>
> Is this an IC issue or one with Safe::Hole?
>

Safe::Hole.

Regards
Racke

--
LinuXia Systems => http://www.linuxia.de/
Expert Interchange Consulting and System Administration
ICDEVGROUP => http://www.icdevgroup.org/
Interchange Development Team


_______________________________________________
interchange-users mailing list
interchange-users [at] icdevgroup
http://www.icdevgroup.org/mailman/listinfo/interchange-users


emailgrant at gmail

Jun 3, 2011, 9:57 AM

Post #3 of 3 (341 views)
Permalink
Re: perl-5.12.2 -> 5.12.3 = deprecated warning [In reply to]

>> I just upgraded from perl-5.12.2 to 5.12.3 and I now get an email like
>> this every time an IC job is dispatched, although the job executes
>> fine:
>>
>> defined(%hash) is deprecated at
>> /usr/lib64/perl5/vendor_perl/5.12.3/x86_64-linux/Safe/Hole.pm line
>> 106.
>>        (Maybe you should just omit the defined()?)
>>
>> Is this an IC issue or one with Safe::Hole?
>>
>
> Safe::Hole.
>
> Regards
>        Racke

Thanks and sorry. I'm especially susceptible to asking stupid
questions when I haven't worked on the system in a while.

- Grant

_______________________________________________
interchange-users mailing list
interchange-users [at] icdevgroup
http://www.icdevgroup.org/mailman/listinfo/interchange-users

Interchange users RSS feed   Index | Next | Previous | View Threaded
 
 


Interested in having your list archived? Contact Gossamer Threads
 
  Web Applications & Managed Hosting Powered by Gossamer Threads Inc.